## r-cran-posterior 1.2.0

=== DESCRIPTION ===
Package: posterior
Title: Tools for Working with Posterior Distributions
Version: 1.2.0
Date: 2022-01-05
Authors@R: c(person("Paul-Christian", "Bürkner", email = "paul.buerkner@gmail.com", role = c("aut", "cre")),
             person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = c("aut")),
             person("Matthew", "Kay", email = "mjskay@northwestern.edu", role = c("aut")),
             person("Aki", "Vehtari", email = "Aki.Vehtari@aalto.fi", role = c("aut")),
             person("Måns", "Magnusson", role = c("ctb")),
             person("Rok", "Češnovar", role = c("ctb")),
             person("Ben", "Lambert", role = c("ctb")),
             person("Ozan", "Adıgüzel", role = c("ctb")), 
             person("Jacob", "Socolar", role = c("ctb")))
Description: Provides useful tools for both users and developers of packages 
  for fitting Bayesian models or working with output from Bayesian models. 
  The primary goals of the package are to: 
  (a) Efficiently convert between many different useful formats of
  draws (samples) from posterior or prior distributions.
  (b) Provide consistent methods for operations commonly performed on draws, 
  for example, subsetting, binding, or mutating draws.
  (c) Provide various summaries of draws in convenient formats.
  (d) Provide lightweight implementations of state of the art posterior 
  inference diagnostics. References: Vehtari et al. (2021) 
  <doi:10.1214/20-BA1221>.
Depends: R (>= 3.2.0)
Imports: abind, checkmate, rlang (>= 0.4.7), stats, tibble (>= 3.0.0),
        vctrs, tensorA, pillar, distributional, parallel, matrixStats
Suggests: testthat (>= 2.1.0), caret (>= 6.0.84), gbm (>= 2.1.8),
        randomForest (>= 4.6.14), e1071 (>= 1.7.3), dplyr, tidyr,
        knitr, rmarkdown
License: BSD_3_clause + file LICENSE
Encoding: UTF-8
URL: https://mc-stan.org/posterior/, https://discourse.mc-stan.org/
BugReports: https://github.com/stan-dev/posterior/issues
RoxygenNote: 7.1.2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-01-05 15:59:41 UTC; paul.buerkner
Author: Paul-Christian Bürkner [aut, cre],
  Jonah Gabry [aut],
  Matthew Kay [aut],
  Aki Vehtari [aut],
  Måns Magnusson [ctb],
  Rok Češnovar [ctb],
  Ben Lambert [ctb],
  Ozan Adıgüzel [ctb],
  Jacob Socolar [ctb]
Maintainer: Paul-Christian Bürkner <paul.buerkner@gmail.com>
Repository: CRAN
Date/Publication: 2022-01-05 16:50:02 UTC

=== debian/changelog ===
r-cran-posterior (1.2.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2.0
  * d/rules: Fix permission of Rmd file

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Jan 2022 02:58:12 +0530

r-cran-posterior (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-rlang and
      r-cran-tibble.

 -- Andreas Tille <tille@debian.org>  Sat, 06 Nov 2021 21:55:33 +0100

r-cran-posterior (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #993990)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:35:48 +0200

=== debian/control ===
Source: r-cran-posterior
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-abind,
               r-cran-checkmate,
               r-cran-rlang,
               r-cran-tibble,
               r-cran-vctrs,
               r-cran-tensora,
               r-cran-pillar,
               r-cran-distributional,
               r-cran-matrixstats
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-posterior
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-posterior.git
Homepage: https://cran.r-project.org/package=posterior
Rules-Requires-Root: no

Package: r-cran-posterior
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for working with posterior distributions
 Provides useful tools for both users and developers of packages
 for fitting Bayesian models or working with output from Bayesian models.
 The primary goals of the package are to:
 (a) Efficiently convert between many different useful formats of
 draws (samples) from posterior or prior distributions.
 (b) Provide consistent methods for operations commonly performed on draws,
 for example, subsetting, binding, or mutating draws.
 (c) Provide various summaries of draws in convenient formats.
 (d) Provide lightweight implementations of state of the art posterior
 inference diagnostics. References: Vehtari et al. (2021)
 <doi:10.1214/20-BA1221>.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/posterior_([-\d.]*)\.tar\.gz

## r-cran-posterior 1.3.0+dfsg

=== debian/changelog ===
r-cran-posterior (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:39:14 +0530

r-cran-posterior (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2022 17:11:40 +0200

r-cran-posterior (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 15:35:38 +0100

## r-cran-posterior 1.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: posterior
 Title: Tools for Working with Posterior Distributions
-Version: 1.2.0
-Date: 2022-01-05
+Version: 1.3.1
+Date: 2022-09-06
 Authors@R: c(person("Paul-Christian", "Bürkner", email = "paul.buerkner@gmail.com", role = c("aut", "cre")),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = c("aut")),
              person("Matthew", "Kay", email = "mjskay@northwestern.edu", role = c("aut")),
@@ -23,8 +23,9 @@
   inference diagnostics. References: Vehtari et al. (2021) 
   <doi:10.1214/20-BA1221>.
 Depends: R (>= 3.2.0)
-Imports: abind, checkmate, rlang (>= 0.4.7), stats, tibble (>= 3.0.0),
-        vctrs, tensorA, pillar, distributional, parallel, matrixStats
+Imports: methods, abind, checkmate, rlang (>= 0.4.7), stats, tibble (>=
+        3.0.0), vctrs, tensorA, pillar, distributional, parallel,
+        matrixStats
 Suggests: testthat (>= 2.1.0), caret (>= 6.0.84), gbm (>= 2.1.8),
         randomForest (>= 4.6.14), e1071 (>= 1.7.3), dplyr, tidyr,
         knitr, rmarkdown
@@ -32,10 +33,10 @@
 Encoding: UTF-8
 URL: https://mc-stan.org/posterior/, https://discourse.mc-stan.org/
 BugReports: https://github.com/stan-dev/posterior/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-01-05 15:59:41 UTC; paul.buerkner
+Packaged: 2022-09-06 13:43:26 UTC; paul.buerkner
 Author: Paul-Christian Bürkner [aut, cre],
   Jonah Gabry [aut],
   Matthew Kay [aut],
@@ -47,4 +48,4 @@
   Jacob Socolar [ctb]
 Maintainer: Paul-Christian Bürkner <paul.buerkner@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-01-05 16:50:02 UTC
+Date/Publication: 2022-09-06 14:10:02 UTC

=== debian/changelog ===
r-cran-posterior (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 20:40:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: r-cran-posterior
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-posterior
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-posterior.git
+Homepage: https://cran.r-project.org/package=posterior
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-abind,
                r-cran-checkmate,
-               r-cran-rlang,
-               r-cran-tibble,
+               r-cran-rlang (>= 0.4.7),
+               r-cran-tibble (>= 3.0.0),
                r-cran-vctrs,
                r-cran-tensora,
                r-cran-pillar,
                r-cran-distributional,
                r-cran-matrixstats
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-posterior
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-posterior.git
-Homepage: https://cran.r-project.org/package=posterior
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-posterior
 Architecture: all

## r-cran-posterior 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: posterior
 Title: Tools for Working with Posterior Distributions
-Version: 1.3.1
-Date: 2022-09-06
+Version: 1.4.0
+Date: 2023-02-21
 Authors@R: c(person("Paul-Christian", "Bürkner", email = "paul.buerkner@gmail.com", role = c("aut", "cre")),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = c("aut")),
              person("Matthew", "Kay", email = "mjskay@northwestern.edu", role = c("aut")),
@@ -23,20 +23,20 @@
   inference diagnostics. References: Vehtari et al. (2021) 
   <doi:10.1214/20-BA1221>.
 Depends: R (>= 3.2.0)
-Imports: methods, abind, checkmate, rlang (>= 0.4.7), stats, tibble (>=
-        3.0.0), vctrs, tensorA, pillar, distributional, parallel,
-        matrixStats
+Imports: methods, abind, checkmate, rlang (>= 1.0.6), stats, tibble (>=
+        3.1.0), vctrs (>= 0.5.0), tensorA, pillar, distributional,
+        parallel, matrixStats
 Suggests: testthat (>= 2.1.0), caret (>= 6.0.84), gbm (>= 2.1.8),
         randomForest (>= 4.6.14), e1071 (>= 1.7.3), dplyr, tidyr,
-        knitr, rmarkdown
+        knitr, ggplot2, rmarkdown
 License: BSD_3_clause + file LICENSE
 Encoding: UTF-8
 URL: https://mc-stan.org/posterior/, https://discourse.mc-stan.org/
 BugReports: https://github.com/stan-dev/posterior/issues
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-09-06 13:43:26 UTC; paul.buerkner
+Packaged: 2023-02-21 15:01:15 UTC; paul.buerkner
 Author: Paul-Christian Bürkner [aut, cre],
   Jonah Gabry [aut],
   Matthew Kay [aut],
@@ -48,4 +48,4 @@
   Jacob Socolar [ctb]
 Maintainer: Paul-Christian Bürkner <paul.buerkner@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-09-06 14:10:02 UTC
+Date/Publication: 2023-02-22 22:40:10 UTC

=== debian/changelog ===
r-cran-posterior (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Feb 2023 21:26:23 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-caret,
         r-cran-gbm,
         r-cran-randomforest,
         r-cran-e1071,
         r-cran-dplyr,
         r-cran-tidyr,
         r-cran-knitr,
         r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-posterior 1.4.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: posterior
 Title: Tools for Working with Posterior Distributions
-Version: 1.4.0
-Date: 2023-02-21
+Version: 1.4.1
+Date: 2023-03-09
 Authors@R: c(person("Paul-Christian", "Bürkner", email = "paul.buerkner@gmail.com", role = c("aut", "cre")),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = c("aut")),
              person("Matthew", "Kay", email = "mjskay@northwestern.edu", role = c("aut")),
@@ -36,7 +36,7 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-02-21 15:01:15 UTC; paul.buerkner
+Packaged: 2023-03-14 08:32:36 UTC; paul.buerkner
 Author: Paul-Christian Bürkner [aut, cre],
   Jonah Gabry [aut],
   Matthew Kay [aut],
@@ -48,4 +48,4 @@
   Jacob Socolar [ctb]
 Maintainer: Paul-Christian Bürkner <paul.buerkner@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-22 22:40:10 UTC
+Date/Publication: 2023-03-14 09:10:02 UTC

=== debian/changelog ===
r-cran-posterior (1.4.1+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039675 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 14:11:47 +0200

r-cran-posterior (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 14:00:46 +0200

## r-cran-posterior 1.5.0%2Bdfsg

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 2.1.0),
        r-cran-caret (>= 6.0-84),
        r-cran-gbm (>= 2.1.8),
        r-cran-randomforest (>= 4.6.14),
        r-cran-e1071 (>= 1.7-3),
        r-cran-dplyr,
        r-cran-tidyr,
        r-cran-knitr,
        r-cran-ggplot2,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-posterior 1.5.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: posterior
 Title: Tools for Working with Posterior Distributions
-Version: 1.4.1
-Date: 2023-03-09
+Version: 1.5.0
+Date: 2023-10-31
 Authors@R: c(person("Paul-Christian", "Bürkner", email = "paul.buerkner@gmail.com", role = c("aut", "cre")),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = c("aut")),
              person("Matthew", "Kay", email = "mjskay@northwestern.edu", role = c("aut")),
@@ -28,7 +28,7 @@
         parallel, matrixStats
 Suggests: testthat (>= 2.1.0), caret (>= 6.0.84), gbm (>= 2.1.8),
         randomForest (>= 4.6.14), e1071 (>= 1.7.3), dplyr, tidyr,
-        knitr, ggplot2, rmarkdown
+        knitr, ggplot2, ggdist, rmarkdown
 License: BSD_3_clause + file LICENSE
 Encoding: UTF-8
 URL: https://mc-stan.org/posterior/, https://discourse.mc-stan.org/
@@ -36,7 +36,7 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-03-14 08:32:36 UTC; paul.buerkner
+Packaged: 2023-10-31 07:26:08 UTC; paul.buerkner
 Author: Paul-Christian Bürkner [aut, cre],
   Jonah Gabry [aut],
   Matthew Kay [aut],
@@ -48,4 +48,4 @@
   Jacob Socolar [ctb]
 Maintainer: Paul-Christian Bürkner <paul.buerkner@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-03-14 09:10:02 UTC
+Date/Publication: 2023-10-31 08:30:02 UTC

=== debian/changelog ===
r-cran-posterior (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Use dh-update-R from dh-r 20231121 to fix version spelling in
    debian/tests/control (also see
    https://github.com/stan-dev/posterior/issues/323 )

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 16:18:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-posterior
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-posterior.git
 Homepage: https://cran.r-project.org/package=posterior
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-abind,
                r-cran-checkmate,
-               r-cran-rlang (>= 0.4.7),
-               r-cran-tibble (>= 3.0.0),
-               r-cran-vctrs,
+               r-cran-rlang (>= 1.0.6),
+               r-cran-tibble (>= 3.1.0),
+               r-cran-vctrs (>= 0.5.0),
                r-cran-tensora,
                r-cran-pillar,
                r-cran-distributional,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/posterior_([-\d.]*)\.tar\.gz

## r-cran-posterior 1.6.0+dfsg

=== debian/changelog ===
r-cran-posterior (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Oct 2024 16:10:45 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-posterior
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-posterior.git
 Homepage: https://cran.r-project.org/package=posterior
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-posterior 1.6.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: posterior
 Title: Tools for Working with Posterior Distributions
-Version: 1.5.0
-Date: 2023-10-31
+Version: 1.6.1
+Date: 2025-02-27
 Authors@R: c(person("Paul-Christian", "Bürkner", email = "paul.buerkner@gmail.com", role = c("aut", "cre")),
              person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = c("aut")),
              person("Matthew", "Kay", email = "mjskay@northwestern.edu", role = c("aut")),
@@ -10,7 +10,8 @@
              person("Rok", "Češnovar", role = c("ctb")),
              person("Ben", "Lambert", role = c("ctb")),
              person("Ozan", "Adıgüzel", role = c("ctb")), 
-             person("Jacob", "Socolar", role = c("ctb")))
+             person("Jacob", "Socolar", role = c("ctb")),
+             person("Noa", "Kallioinen", role = c("ctb")))
 Description: Provides useful tools for both users and developers of packages 
   for fitting Bayesian models or working with output from Bayesian models. 
   The primary goals of the package are to: 
@@ -26,17 +27,17 @@
 Imports: methods, abind, checkmate, rlang (>= 1.0.6), stats, tibble (>=
         3.1.0), vctrs (>= 0.5.0), tensorA, pillar, distributional,
         parallel, matrixStats
-Suggests: testthat (>= 2.1.0), caret (>= 6.0.84), gbm (>= 2.1.8),
-        randomForest (>= 4.6.14), e1071 (>= 1.7.3), dplyr, tidyr,
+Suggests: testthat (>= 2.1.0), caret (>= 6.0-84), gbm (>= 2.1.8),
+        randomForest (>= 4.6.14), e1071 (>= 1.7-3), dplyr, tidyr,
         knitr, ggplot2, ggdist, rmarkdown
 License: BSD_3_clause + file LICENSE
 Encoding: UTF-8
 URL: https://mc-stan.org/posterior/, https://discourse.mc-stan.org/
 BugReports: https://github.com/stan-dev/posterior/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-10-31 07:26:08 UTC; paul.buerkner
+Packaged: 2025-02-27 13:23:52 UTC; paul-buerkner
 Author: Paul-Christian Bürkner [aut, cre],
   Jonah Gabry [aut],
   Matthew Kay [aut],
@@ -45,7 +46,8 @@
   Rok Češnovar [ctb],
   Ben Lambert [ctb],
   Ozan Adıgüzel [ctb],
-  Jacob Socolar [ctb]
+  Jacob Socolar [ctb],
+  Noa Kallioinen [ctb]
 Maintainer: Paul-Christian Bürkner <paul.buerkner@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-31 08:30:02 UTC
+Date/Publication: 2025-02-27 14:30:02 UTC

=== debian/changelog ===
r-cran-posterior (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Mar 2025 09:10:25 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-posterior
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-posterior.git
 Homepage: https://cran.r-project.org/package=posterior
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
